Subject: Re: [Cfrg] Agenda items for CFRG@IETF 97

From: "David McGrew (mcgrew)" <[email-masked]>
Date: Tue, 25 Oct 2016 20:18:10 +0000

Hi Kenny,

I would like to request a slot to present on some new work on hash based signatures: 1) an updated version of draft-mcgrew-hash-sigs, which incorporates a bunch of clarifications and some normative changes to simplify things, 2) quick demo of the reference code for that spec, and 3) a proposal for batch signatures, which extends the hash-sigs draft in a way that significantly improves efficiency whenever messages can be signed in batches.  (I have not submitted the new draft yet, sorry, test cases still pending.)  

I suggest that there be a discussion on postquantum cryptography in IETF protocols, which could include status (what protocols need it?) and proposals (Frodo and NewHope in IKE and TLS, say).   

Thanks, and best regards,

David

P.S. - I will be at the IETF hackathon if anyone is interested in hash signatures implementation/use. 

On 10/18/16, 6:29 AM, "Cfrg on behalf of Paterson, Kenny" <[email-masked] on behalf of [email-masked]> wrote:

>Dear CFRG,
>
>CFRG will meet on Monday November 14th at IETF 97 in Seoul from 13:30 to
>15:30 local time. 
>
>Please send the chairs proposals for topics for discussion and
>presentations by close of business on Tuesday, October 25th.
>
>Thank you,
>
>Kenny (for the chairs).
>
>_______________________________________________
>Cfrg mailing list
>[email-masked]
>https://www.irtf.org/mailman/listinfo/cfrg